SWFGradient->__construct
SWFMorph->__construct
Ming
PHP Manual

# The SWFMorph class

## Введение

The methods here are sort of weird. It would make more sense to just have newSWFMorph(shape1, shape2);, but as things are now, shape2 needs to know that it's the second part of a morph. (This, because it starts writing its output as soon as it gets drawing commands- if it kept its own description of its shapes and wrote on completion this and some other things would be much easier.)

## Class synopsis

SWFMorph
class SWFMorph {
/* Methods */
SWFMorph __construct ( void )
SWFShape getShape1 ( void )
SWFShape getShape2 ( void )
}

## Содержание

- SWFMorph->__construct — Creates a new SWFMorph object
- SWFMorph->getShape1 — Gets a handle to the starting shape
- SWFMorph->getShape2 — Gets a handle to the ending shape

SWFGradient->__construct
SWFMorph->__construct
Ming
PHP Manual